File Index

Main Page | Alphabetical List | Data Structures | File List | Data Fields | Globals

# dmxgcops.h

Go to the documentation of this file.

    00001 /* $XFree86$ */
    00002 /*
    00003  * Copyright 2001,2002 Red Hat Inc., Durham, North Carolina.
    00004  *
    00005  * All Rights Reserved.
    00006  *
    00007  * Permission is hereby granted, free of charge, to any person obtaining
    00008  * a copy of this software and associated documentation files (the
    00009  * "Software"), to deal in the Software without restriction, including
    00010  * without limitation on the rights to use, copy, modify, merge,
    00011  * publish, distribute, sublicense, and/or sell copies of the Software,
    00012  * and to permit persons to whom the Software is furnished to do so,
    00013  * subject to the following conditions:
    00014  *
    00015  * The above copyright notice and this permission notice (including the
    00016  * next paragraph) shall be included in all copies or substantial
    00017  * portions of the Software.
    00018  *
    00019  * THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND,
    00020  * EXPRESS OR IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF
    00021  * MERCHANTABILITY, FITNESS FOR A PARTICULAR PURPOSE AND
    00022  * NON-INFRINGEMENT.  IN NO EVENT SHALL RED HAT AND/OR THEIR SUPPLIERS
    00023  * BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER LIABILITY, WHETHER IN AN
    00024  * ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM, OUT OF OR IN
    00025  * CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN THE
    00026  * SOFTWARE.
    00027  */
    00028
    00029 /*
    00030  * Authors:
    00031  *   Kevin E. Martin <kem@redhat.com>
    00032  *
    00033  */
    00034
    00038 #ifndef DMXGCOPS_H
    00039 #define DMXGCOPS_H
    00040
    00041 extern void dmxFillSpans(DrawablePtr pDrawable, GCPtr pGC,
    00042                          int nInit, DDXPointPtr pptInit, int *pwidthInit,
    00043                          int fSorted);
    00044 extern void dmxSetSpans(DrawablePtr pDrawable, GCPtr pGC,
    00045                         char *psrc, DDXPointPtr ppt, int *pwidth, int nspans,
    00046                         int fSorted);
    00047 extern void dmxPutImage(DrawablePtr pDrawable, GCPtr pGC,
    00048                         int depth, int x, int y, int w, int h,
    00049                         int leftPad, int format, char *pBits);
    00050 extern RegionPtr dmxCopyArea(DrawablePtr pSrc, DrawablePtr pDst, GCPtr pGC,
    00051                              int srcx, int srcy, int w, int h,
    00052                              int dstx, int dsty);
    00053 extern RegionPtr dmxCopyPlane(DrawablePtr pSrc, DrawablePtr pDst, GCPtr pGC,
    00054                               int srcx, int srcy, int width, int height,
    00055                               int dstx, int dsty, unsigned long bitPlane);
    00056 extern void dmxPolyPoint(DrawablePtr pDrawable, GCPtr pGC,
    00057                          int mode, int npt, DDXPointPtr pptInit);
    00058 extern void dmxPolylines(DrawablePtr pDrawable, GCPtr pGC,
    00059                          int mode, int npt, DDXPointPtr pptInit);
    00060 extern void dmxPolySegment(DrawablePtr pDrawable, GCPtr pGC,
    00061                            int nseg, xSegment *pSegs);
    00062 extern void dmxPolyRectangle(DrawablePtr pDrawable, GCPtr pGC,
    00063                              int nrects, xRectangle *pRects);
    00064 extern void dmxPolyArc(DrawablePtr pDrawable, GCPtr pGC,
    00065                        int narcs, xArc *parcs);
    00066 extern void dmxFillPolygon(DrawablePtr pDrawable, GCPtr pGC,
    00067                            int shape, int mode, int count, DDXPointPtr pPts);
    00068 extern void dmxPolyFillRect(DrawablePtr pDrawable, GCPtr pGC,
    00069                             int nrectFill, xRectangle *prectInit);
    00070 extern void dmxPolyFillArc(DrawablePtr pDrawable, GCPtr pGC,
    00071                            int narcs, xArc *parcs);
    00072 extern int dmxPolyText8(DrawablePtr pDrawable, GCPtr pGC,
    00073                         int x, int y, int count, char *chars);
    00074 extern int dmxPolyText16(DrawablePtr pDrawable, GCPtr pGC,
    00075                          int x, int y, int count, unsigned short *chars);
    00076 extern void dmxImageText8(DrawablePtr pDrawable, GCPtr pGC,
    00077                           int x, int y, int count, char *chars);
    00078 extern void dmxImageText16(DrawablePtr pDrawable, GCPtr pGC,
    00079                            int x, int y, int count, unsigned short *chars);
    00080 extern void dmxImageGlyphBlt(DrawablePtr pDrawable, GCPtr pGC,
    00081                              int x, int y, unsigned int nglyph,
    00082                              CharInfoPtr *ppci, pointer pglyphBase);
    00083 extern void dmxPolyGlyphBlt(DrawablePtr pDrawable, GCPtr pGC,
    00084                             int x, int y, unsigned int nglyph,
    00085                             CharInfoPtr *ppci, pointer pglyphBase);
    00086 extern void dmxPushPixels(GCPtr pGC, PixmapPtr pBitMap, DrawablePtr pDst,
    00087                           int w, int h, int x, int y);
    00088
    00089 extern void dmxGetImage(DrawablePtr pDrawable, int sx, int sy, int w, int h,
    00090                         unsigned int format, unsigned long planeMask,
    00091                         char *pdstLine);
    00092 extern void dmxGetSpans(DrawablePtr pDrawable, int wMax,
    00093                         DDXPointPtr ppt, int *pwidth, int nspans,
    00094                         char *pdstStart);
    00095
    00096 #endif /* DMXGCOPS_H */